/**
 * @copyright nhcarrigan
 * @license Naomi's Public License
 * @author Naomi Carrigan
 */

/**
 * List of polycule members to render.
 */
export const Partners: Array<{
  name:         string;
  avatar:       string;
  relationship: string;
  url:          string;
  anniversary:  Date;
}> = [
  {
    anniversary:  new Date("January 1, 2023"),
    avatar:       "dashi.png",
    name:         "Sadashi",
    relationship: "Romantic Partner",
    url:          "https://chat.nhcarrigan.com",
  },
  {
    anniversary:  new Date("November 17, 2023"),
    avatar:       "estel.png",
    name:         "Rain",
    relationship: "Fiancée",
    url:          "https://chat.nhcarrigan.com",
  },
  {
    anniversary:  new Date("October 1, 2023"),
    avatar:       "fruit.png",
    name:         "Kaitlyn",
    relationship: "Queer-Platonic Partner",
    url:          "https://kaitlyn.nhcarrigan.com",
  },
].sort((a, b) => {
  return a.anniversary.getTime() - b.anniversary.getTime();
});
